
     ListPlot(1)                  AMIGA Manual                  ListPlot(1)



     1mNAME 
          0mListPlot - a vanilla plotting filter 

     1mSYNOPSIS 
          ListPlot 0m[ options ] 

     1mDESCRIPTION 
          0m3mListPlot  0ma  simple  2D  plotting filter based on the 3mPLPLOT
          0mplotting library.  

          Its principle advantage is that it  supports  a  variety  of
          graphics devices.  

          3mListPlot  0mreads from stdin and writes to stdout unless input
          and/or output files are specified on the command line.   The
          program accepts  a file of n-tuples.  Each tuple consists of
          a sequence of  space-separated  numbers  terminated  with  a
          newline.   The  first element of each tuple is assumed to be
          the independent variable.  Each remaining element is plotted
          against the first to produce n-1 curves.  

          3mListPlot 0mtakes a number of command line arguments  that  may
          be used  to  control  the  appearance of the plots.  Command
          line arguments are specified in the form 
                    3mvariable=value 

          0mFor a list of the arguments enter: 

                    ListPlot Help=All.  

     1mVARIABLES TYPES 
          Boolean0mvalues accept values such as 1mtrue0m, 1mfalse0m, 1myes0m, 1mno0m,
                    1mon0m, 1moff0m, 1m00m, and 1m1 0m(ex. PlotColor=yes).  

          1mString0mvalues expect the strings to entered as  indicated
                    and is case sensitive (ex. Domain=All).  

          1mDbl0mvalues expect real numbers (ex. AspectRatio=1.0).  

          1mInterval0mvalues expect a pair of comma separated reals (ex.
                    Range=-1.0,3.0).  

          1mSet0mvalues  expect  a list of comma separated elements
                    enclosed    in    curly    braces    ({}).    (ex.
                    LineStyle={MS,MMS,MSmmS}) 

          1mRect0mvalues  expect  a  list of comma separated numbers
                    representing a diagonal from the lower-left corner
                    to the upper-right corner (ex.  ViewPort={0.1,0.3,
                    0.9,0.6}).  


          The  title  and  label variables accept strings that include
          the following control sequences: 

                    #1mu0m: move up to superscript (ended with #1md 0m) 
                    #1md0m: move down to subscript (ended with #1mu 0m) 


     5/15/90                          -1-                   Duke University


     ListPlot(1)                  AMIGA Manual                  ListPlot(1)


                    #1mb0m: backspace to allow overprinting 
                    ##: the number symbol 
                    #+: toggle overline mode 
                    #-: toggle underline mode 
                    #1mgx0m: Greek letter corresponding to Roman letter x 

     1mOPTIONS 
          0mThe currently available arguments are indicated below.  1mBold
          0mface arguments indicate that they should be entered  exactly
          as shown.   An '*' indicates that an arbitrary string may be
          given.  A string with embedded spaces must be quoted.  

          1mAngularUnit0m=[ 1mdegrees 0m| 1mradians 0m] 
                    3mAngularUnit 0mspecifies the angular unit of  measure
                    used for  polar  plots.  For angles in radians use
                    1mAngularUnit0m=1mradians0m. 

          1mAnnotationScale0m=[ 3mdbl 0m] 
                    3mAnnotationScale   0mcontrols   the   size   of   the
                    characters used to annotate the axes.  

          1mAspectRatio0m=[ 3mdbl 0m| 1mAutomatic 0m] 
                    3mAspectRatio  0mcontrols  the relative lengths of the
                    vertical to horizontal axes.  If  set  this  value
                    overrides the value of 3mViewPort. 

          0m1mBoxed0m=[ 3mboolean 0m| * ] 
                    3mBoxed 0madds  axes  to  the  edges  of the plot.  If
                    3mBoxed 0mis given  a  boolean  value  then  axes  are
                    placed on  all  of the edges.  If 3mBoxed 0mis given a
                    string consisting of one or more of  3mt,  b,  r,  l
                    0mthen axes are added to top, bottom, right and left
                    edges respectively.  

          1mDomain0m=[ 3minterval 0m| 1mAll 0m| 1mAutomatic 0m] 
                    3mDomain  0mmay be used to specify the bounds on the X
                    axis.  When set to 1mAll0m, all  points  are  plotted.
                    When  set to 1mAutomatic0m, outlying points may not be
                    plotted.  

          1mGridding0m=[ 3mboolean 0m] 
                    3mGridding 0mputs a grid on the plot.  

          1mHelp0m=[ 1mAll 0m| 1mall 0m| * ] 
                    3mHelp  0mprovides  some  descriptive  text  for   the
                    user-settable plotting variables.  If the variable
                    3mVerbose  0mis  set  then  an extended description is
                    provided.  To set verbose enter 

                    ListPlot Verbose=yes Help=[ 3mvariable 0m| 1mAll 0m].  

          1mLabelScale0m=[ 3mdbl 0m] 
                    3mLabelScale 0mspecifies  the  relative  size  of  the
                    vertical and  horizontal axis labels.  The typical
                    range is [0.5 - 2.0].  

          1mLineColor0m=[ 3mset 0m] 
                    3mLineColor 0mmay be used to specify a  list  of  line


     5/15/90                          -2-                   Duke University


     ListPlot(1)                  AMIGA Manual                  ListPlot(1)


                    colors  for  plots  with  multiple  curves if this
                    feature  is  supported  for  a  particular  output
                    device.  

          1mLineStyle0m=[ 3mset 0m] 
                    3mLineStyle  0mmay  be  used to specify a list of line
                    styles for  plots  with  multiple  curves.    Each
                    linestyle  is  specified  as  a  sequence  of  pen
                    down...  pen  up  elements.    The  elements   are
                    encoded using the following characters to indicate
                    element lengths: 
                              1mm0m: 250 micron mark 
                              1mM0m: 1mm mark (1mmmmm0m) 
                              1ms0m: 250 micron space 
                              1mS0m: 1mm space (1mssss0m) 
                    For  example,  a  set  of  line  styles  might  be
                    indicated 
                              LineStyle={MS,MMSS,MMSmmS,mmS,mmSmmSMMS} 

          1mOrientation0m=[ 1mportrait 0m| 1mlandscape 0m] 
                    3mOrientation 0mcontrols whether the plot is displayed
                    in landscape or portrait orientation.  

          1mOrigin0m=[ 3minterval 0m| 1mAutomatic 0m| 1mMedian 0m] 
                    3mOrigin 0mallows the placement of a set of axes at an
                    arbitrary point.  The 3mMedian 0mvalue places the axes
                    at the median 3mX 0mand  the  median  3mY  0mof  the  data
                    values.  

          1mPlotColor0m=[ 3mboolean 0m] 
                    3mPlotColor  0mif 1mtrue 0mcauses the plot to generated in
                    color if this feature is supported on a particular
                    output device.  

          1mPlotJoined0m=[ 3mboolean 0m] 
                    3mPlotJoined, 0mif set, connects each data point  with
                    a line in the current line style.  

          1mPlotPoints0m=[ 3mboolean 0m] 
                    3mPlotPoints 0mif 1mtrue 0mcauses symbols to be plotted in
                    the current symbol style at each data point.  

          1mPointScale0m=[ 3mdbl 0m] 
                    3mPointScale  0mcontrols the relative size of the data
                    point symbols when data point  symbols  are  being
                    plotted.  

          1mPointSymbol0m=[ 1mAutomatic 0m| 3mset 0m] 
                    3mPointSymbol 0mspecifies a list of symbols to be used
                    when plotting  data points.  The symbols types are
                    encoded as integers.    (See  the  1mPLPLOT  0mlibrary
                    documentation to find the symbols available.) 

          1mPlotTitle0m=[ * ] 
                    3mPlotTitle  0mtakes  the  plot  title as an argument.
                    Text control  sequences  described  above  may  be
                    included.  



     5/15/90                          -3-                   Duke University


     ListPlot(1)                  AMIGA Manual                  ListPlot(1)


          1mPlotDevice0m=[1mamiga0m| 1mprinter 0m| 1miff 0m| 1mhp 0m| 1maegis 0m| 1mpostscript0m] 
                    3mPlotDevice 0mspecifies output device type.  

          1mPlotType0m=[ 1mlinlin 0m| 1mloglin 0m| 1mlinlog 0m| 1mloglog 0m| 1mpolar 0m] 
                    3mPlotType  0mspecifies the 3mgraph paper 0mupon which the
                    plot is drawn.  The current  implementation  plots
                    in 
                              linear-linear, 
                              log-linear, 
                              linear-log, 
                              log-log, and 
                              polar 

                    formats.   For  the log type plots, the log of the
                    data is computed.    For  polar  plots,  see  also
                    3mAngularUnit 0mand 3mPolarVariable. 

          0m1mPolarVariable0m=[ 1mangle 0m| 1mradius 0m] 
                    3mPolarVariable  0mfor  polar plots is used to specify
                    whether the independent  variable  is  angular  or
                    radial.  

          1mRange0m=[ 3minterval 0m| 1mAll 0m| 1mAutomatic 0m] 
                    3mRange 0mspecifies   the   y   axis   bounds.    (ex.
                    Range=-1,1 ) When  set  to  1mAll0m,  all  points  are
                    plotted.   When  set to 1mAutomatic0m, outlying points
                    may not be plotted.  

          1mSubPages0m=[ 3minterval 0m] 
                    3mSubPages  0mspecifies  the  number  of  plots  on  a
                    pages.   This  is a vestige of PLPLOT and I am not
                    sure this  has  any  use  within  the  context  of
                    3mListPlot.  0mIt  might be useful for controlling the
                    size of the plots but the 3mViewPort 0mmight be a more
                    direct solution.  

          1mSupplyAbscissa0m=[ 3mboolean 0m] 
                    3mSupplyAbscissa 0mif set causes 3mListPlot 0mto supply  a
                    value for the independent variable.  

          1mTitleScale0m=[ 3mdbl 0m] 
                    3mTitleScale 0mcontrols the relative size of the title
                    text.  

          1mUseInputFile0m=[ * ] 
                    3mUseInputFile 0mpermits the specification of an input
                    file if you would rather not use stdin.  

          1mUseOutputFile0m=[ * ] 
                    3mUseOutputFile  0mpermits  the  specification  of  an
                    output file if you would rather not use stdout.  

          1mVerbose0m=[ 3mboolean 0m] 
                    3mVerbose 0mif set causes extended messaging.  

          1mViewPort0m=[ 3mrect 0m] 
                    3mViewPort 0mallows control over the size of  a  plot.
                    Takes   a   viewing   rectangle   diagonal  as  an


     5/15/90                          -4-                   Duke University


     ListPlot(1)                  AMIGA Manual                  ListPlot(1)


                    argument.  
                              ex.  ViewPort={0.1,0.3, 0.9,0.6} 

          1mXLabel0m=[ * ] 
                    3mXLabel 0mspecifies  X  axis  label.    Text  control
                    sequences described above may be included.  

          1mYLabel0m=[ * ] 
                    3mYLabel 0mspecifies  Y  axis  label.    Text  control
                    sequences described above may be included.  

          1mXTick0m=[ 1mAutomatic 0m| 3minterval 0m] 
                    3mXTick 0mcontrols the spacing of major axis ticks and
                    the number   of   minor   subdivisions.       (ex.
                    3mXTick=0.1,10 0mindicates major ticks at units of 0.1
                    with 10 minor subdivisions.) 

          1mYTick0m=[ 1mAutomatic 0m| 3mInterval 0m] 
                    3mYTick 0mcontrols the spacing of major axis ticks and
                    the number of minor subdivisions.  

     1mFILES 

     IDENTIFICATION 
          0mAuthors:  Frederick  R.  Bartram  and Anthony M. Richardson,
          Dept. of Electrical Engineering,  Duke  University,  Durham,
          N.C. 27706.  
          InterNet: frb@dukee.egr.duke.edu,amr@dukee.egr.duke.edu 
          Copyright  1990  by  Frederick  R.  Bartram  and  Anthony M.
          Richardson.  
          Amiga port by Anthony M. Richardson 

     1mBUGS 
          0mPlease report any bugs or unusual 3mfeatures 0mto the authors.  


























     5/15/90                          -5-                   Duke University

